import { Optional, Renderer, InjectionToken } from '@angular/core';
export declare class ClipboardService {
    private document;
    private window;
    private tempTextArea;
    constructor(document: any, window: any);
    readonly isSupported: boolean;
    isTargetValid(element: HTMLInputElement | HTMLTextAreaElement): boolean;
    /**
     * copyFromInputElement
     */
    copyFromInputElement(targetElm: HTMLInputElement | HTMLTextAreaElement, renderer: Renderer): boolean;
    /**
     * Creates a fake textarea element, sets its value from `text` property,
     * and makes a selection on it.
     */
    copyFromContent(content: string, renderer: Renderer): boolean;
    destroy(): void;
    private selectTarget(inputElement, renderer);
    private copyText();
    private clearSelection(inputElement, window);
    private createTempTextArea(doc, window);
}
export declare function CLIPBOARD_SERVICE_PROVIDER_FACTORY(doc: Document, win: Window, parentDispatcher: ClipboardService): ClipboardService;
export declare const CLIPBOARD_SERVICE_PROVIDER: {
    provide: typeof ClipboardService;
    deps: (InjectionToken<Document> | Optional[])[];
    useFactory: (doc: Document, win: Window, parentDispatcher: ClipboardService) => ClipboardService;
};
